Summary: The GNU chess program.
Name: gnuchess
Version: 4.0.pl80
Release: 3mdk
Copyright: GPL
Group: Games/Boards
Source: ftp://prep.ai.mit.edu:/pub/gnu/gnuchess-%{version}.tar.bz2
Source1: gnuchess.bz2
Source2: gnuchess.xpm.bz2
Patch0: gnuchess-4.0.pl75-fsstnd.patch.bz2
Patch1: gnuchess-4.0.pl77-ncurses.patch.bz2
Patch2: gnuchess-4.0.pl79.patch.bz2
Buildroot: /var/tmp/chess-root
Provides: chessprogram

%description
The gnuchess package contains the GNU chess program.  By default, GNUchess
uses a curses text-based interface.  Alternatively, GNUchess can be used
in conjunction with the xboard user interface and the X Window System for
a graphical chessboard.

You should install the gnuchess package if you would like to play chess on
your computer.  You'll also need to install the curses package.  If you'd
like to use a graphical interface with GNUchess, you'll also need to
install the xboard package and the X Window System.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .time

%build
cd src
rm -f config.status config.cache
./configure --prefix=/usr
make "CC=gcc $RPM_OPT_FLAGS" LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/games/gnuchess $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man6
cd src
make prefix=$RPM_BUILD_ROOT/usr install


bunzip2 $RPM_SOURCE_DIR/gnuchess.bz2
bunzip2 $RPM_SOURCE_DIR/gnuchess.xpm.bz2
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/gnuchess $RPM_BUILD_ROOT/usr/lib/menu/
install -d $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 $RPM_SOURCE_DIR/gnuchess.xpm $RPM_BUILD_ROOT/usr/share/icons/
bzip2 $RPM_SOURCE_DIR/gnuchess
bzip2 $RPM_SOURCE_DIR/gnuchess.xpm

cd $RPM_BUILD_ROOT
strip usr/bin/gnuchess usr/bin/gnuchessr usr/bin/gnuchessn
strip usr/bin/gnuchessx usr/bin/gnuchessc usr/bin/postprint
strip usr/bin/gnuan usr/bin/game


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT


%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
/usr/bin/gnuchess
/usr/bin/gnuchessr
/usr/bin/gnuchessn
/usr/bin/gnuchessx
/usr/bin/gnuchessc
/usr/bin/postprint
/usr/bin/gnuan
/usr/bin/game
/usr/lib/games/gnuchess/gnuchess.lang
/usr/lib/games/gnuchess/eco.pgn
/usr/lib/games/gnuchess/gnuchess.data
/usr/lib/games/gnuchess/gnuchess.eco
/usr/man/man6/game.6.bz2
/usr/man/man6/gnuan.6.bz2
/usr/man/man6/gnuchess.6.bz2
/usr/man/man6/postprint.6.bz2

%changelog
* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-3mdk
- added menu files

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 4.0.pl80-2mdk
- changes in spec file for groups
- considered upgrading to version 5.00 (now renamed to chess-5.00)
- but this would have taken away some features (x, curses, etc).
  
* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- update to 4.0pl80.
- provide chessprogram, don't require xboard.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Jan 23 1999 Michael Maher <mike@redhat.com>
- changed group name

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0, cleaned up spec file.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
